package cn.com.ty.lift.business.capital.dao.mapper;

import cn.com.ty.lift.business.capital.dao.entity.CapitalRepairLiftRelevance;
import cn.com.ty.lift.business.capital.dao.entity.model.request.CapitalLiftRequest;
import cn.com.ty.lift.business.project.dao.entity.model.response.ProjectLiftResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author bieao
 * @date 2020/4/15
 * @description 大修电梯数据层
 */
public interface CapitalRepairLiftRelevanceMapper extends BaseMapper<CapitalRepairLiftRelevance> {

    /**
     * @param request 大修项目id
     * @return RestResponse 电梯列表
     * @description 根据大修项目id查询项目下电梯列表
     * @date 2020/4/15 4:15 下午
     */
    IPage<ProjectLiftResponse> findListByProjectId(IPage<ProjectLiftResponse> page, @Param("request") CapitalLiftRequest request);
}
