package cn.com.ty.lift.business.framework.job;

import cn.com.ty.lift.business.maintenance.service.MaintenancePlanService;
import cn.hutool.core.date.DateUtil;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 更新过期维保计划状态
 *
 * @author wcz
 * @since 2020/1/18 17:16
 */
@Slf4j
@Component
@EnableScheduling
@AllArgsConstructor
public class StatusUpdateJob {

    private MaintenancePlanService maintenancePlanService;
    /**
     * 更新维保计划过期状态job：每天1-3点，每10分钟执行一次
     */
    @Scheduled(cron = "0 0/10 1-3 * * ?")
    public void updateMtPlanJob(){
        log.info("Starting update maintenance Plan Job : {}",DateUtil.now());
        maintenancePlanService.updateOverduePlan(1000);
    }
}
